%define upstream_name    File-Find-Object-Rule
%define upstream_version 0.0313

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    File::Find::Object::Rule's procedural interface
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Cwd)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find::Object)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::TreeCreate)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Number::Compare)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Glob)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
File::Find::Object::Rule is a friendlier interface to the
File::Find::Object manpage . It allows you to build rules which specify the
desired files and directories.

*WARNING* : This module is a fork of version 0.30 of the File::Find::Rule
manpage (which has been unmaintained for several years as of February,
2009), and may still have some bugs due to its reliance on File::Find'isms.
As such it is considered Alpha software. Please report any problems with
the File::Find::Object::Rule manpage to its RT CPAN Queue.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/findorule
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.31.300-3.mga10
+ Revision: 2207279
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.31.300-2.mga9
+ Revision: 1814949
- Mageia 9 Mass Rebuild

* Tue Aug 31 2021 tv <tv> 0.31.300-1.mga9
+ Revision: 1743731
- update to 0.0313

* Thu Feb 20 2020 umeabot <umeabot> 0.31.200-2.mga8
+ Revision: 1545606
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 tv <tv> 0.31.200-1.mga8
+ Revision: 1484905
- update to 0.0312

* Sun Aug 25 2019 tv <tv> 0.31.100-1.mga8
+ Revision: 1431966
- update to 0.0311

* Fri Apr 05 2019 shlomif <shlomif> 0.31.0-1.mga7
+ Revision: 1386186
- update to 0.0310

* Thu Sep 20 2018 umeabot <umeabot> 0.30.900-2.mga7
+ Revision: 1283667
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 shlomif <shlomif> 0.30.900-1.mga7
+ Revision: 1238927
- update to 0.0309

* Sat Jun 02 2018 shlomif <shlomif> 0.30.700-1.mga7
+ Revision: 1233667
- update to 0.0307

* Sat Jul 22 2017 shlomif <shlomif> 0.30.600-1.mga7
+ Revision: 1128540
- update to 0.0306

* Sun Jun 19 2016 pterjan <pterjan> 0.30.500-7.mga6
+ Revision: 1027300
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.30.500-6.mga6
+ Revision: 948382
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.30.500-5.mga5
+ Revision: 787835
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.30.500-4.mga5
+ Revision: 744088
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 0.30.500-2.mga5
+ Revision: 633937
- perl 5.20 rebuild

* Tue May 20 2014 jquelin <jquelin> 0.30.500-1.mga5
+ Revision: 624256
- update to 0.0305

* Thu Mar 20 2014 jquelin <jquelin> 0.30.400-2.mga5
+ Revision: 606083
- perl 5.18.2 rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.30.400-1.mga5
+ Revision: 581165
- update to 0.0304

* Sat Oct 19 2013 umeabot <umeabot> 0.30.300-2.mga4
+ Revision: 525210
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.30.300-1.mga4
+ Revision: 432519
- New version 0.0303

* Sun Jan 13 2013 umeabot <umeabot> 0.30.200-2.mga3
+ Revision: 367209
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 shlomif <shlomif> 0.30.200-1.mga3
+ Revision: 338085
- update to 0.0302

* Tue Jun 05 2012 jquelin <jquelin> 0.30.100-1.mga3
+ Revision: 254945
- update to 0.0301

* Thu Dec 01 2011 shlomif <shlomif> 0.30.0-1.mga2
+ Revision: 174858
- imported package perl-File-Find-Object-Rule


* Tue Jul 28 2009 cpan2dist 0.0300-1mdv
- initial mdv release, generated with cpan2dist
